/* This is "block1.c", written to accompany Introduction to
   Scientific Programming by Joseph L. Zachary .*/

/* This program calculates the position of a block on an infinite
   frictionless ramp as described in Chapter 12 of the text. */


#include <stdio.h>
#include <math.h>



/* We obtain the angle of the ramp in degrees and the elapsed time in
   seconds since the block was released, and display the distance in
   meters of the block from its original position. */

void main (void)
{
  
  double angle,    /* Angle of inclination of the ramp in degrees. */
         theta,    /* Angle of inclination of the ramp in radians. */
         time,     /* Time since block was released in seconds. */
         pos;      /* Position of block in meters. */


  /* Obtain the ramp angle and convert to radians. */

  printf("Enter the angle of the ramp (degrees): ");
  scanf("%lf", &angle);
  theta = acos(-1) * angle/180;


  /* Obtain the time since release. */

  printf("Enter the time (seconds): ");
  scanf("%lf", &time);


  /* Calculate the position of the block.  Prior to time zero, the
     block does not move. */

  if (time < 0) {
    pos = 0;
  }
  else {
    pos = 1./2. * 9.8 * sin(theta) * time * time;
  }


  /* Report the result. */

  printf("Position of the block is %g meters\n", pos);

}
