{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 49{COM_R 2 0{TEXT 1 121 "This worksheet co
ntains the Maple commands from Chapter 4 of Introduction to Scien
tific Programming by Joseph L. Zachary."}}{SEP_R 3 0}{COM_R 4 0
{TEXT 1 115 "\015(4.2)  We use rational arithmetic to add up the \+
reciprocals of the first ten even numbers.  The answer is exact. \+
\015"}}{INP_R 5 0 "> "{TEXT 0 73 "rat10 := 1/2 + 1/4 + 1/6 + 1/8 \+
+ 1/10 + 1/12 + 1/14 + 1/16 + 1/18 + 1/20;"}}{SEP_R 6 0}{COM_R 7 
0{TEXT 1 96 "\015(4.3)  This is a ten-digit floating-point approx
imation to the rational sum computed in (4.2).\015"}}{INP_R 8 0 "
> "{TEXT 0 13 "evalf(rat10);"}}{SEP_R 9 0}{COM_R 10 0{TEXT 1 135 
"\015(4.4)  We use floating-point arithmetic to add up the recrip
rocals of the first ten even numbers.  We get the same answer as \+
in (4.3)."}}{COM_R 11 0{TEXT 1 0 ""}}{INP_R 12 0 "> "{TEXT 0 85 "
float10 := 1/2. + 1/4. + 1/6. + 1/8. + 1/10. + 1/12. + 1/14. + 1/
16. + 1/18. + 1/20.;"}}{SEP_R 13 0}{COM_R 14 0{TEXT 1 40 "\015We \+
change over to two-digit mantissas.\015"}}{INP_R 15 0 "> "{TEXT 0
 12 "Digits := 2;"}}{SEP_R 16 0}{COM_R 17 0{TEXT 1 104 "\015(4.5)
  We repeat (4.4) using two-digit floating-point numbers.  The an
swer is significantly different.\015"}}{INP_R 18 0 "> "{TEXT 0 85
 "float10 := 1/2. + 1/4. + 1/6. + 1/8. + 1/10. + 1/12. + 1/14. + \+
1/16. + 1/18. + 1/20.;"}}{SEP_R 19 0}{COM_R 20 0{TEXT 1 67 "\015(
4.6)  Adding an 11th term onto the sum from (4.5) has no effect.\
015"}}{INP_R 21 0 "> "{TEXT 0 27 "float11 := float10 + 1/22.;"}}
{SEP_R 22 0}{COM_R 23 0{TEXT 1 95 "\015(4.7)  We load the \"block
s\" package from the custom Maple library that accompanies this b
ook.\015"}}{INP_R 24 0 "> "{TEXT 0 13 "with(blocks);"}}{SEP_R 25 
0}{COM_R 26 0{TEXT 1 40 "\015We switch back to ten-digit mantissa
s.\015"}}{INP_R 27 0 "> "{TEXT 0 13 "Digits := 10;"}}{SEP_R 28 0}
{COM_R 29 0{TEXT 1 96 "\015(4.8)  We use two functions from the \
"blocks\" package to repeat the sums from (4.4) and (4.2).\015"}}
{INP_R 30 0 "> "{TEXT 0 29 "blockFloat(10); blockRat(10);"}}
{SEP_R 31 0}{COM_R 32 0{TEXT 1 104 "\015(4.9)  We display the num
ber of seconds of computer time that Maple has consumed since it \+
was started.\015"}}{INP_R 33 0 "> "{TEXT 0 7 "time();"}}{SEP_R 34
 0}{COM_R 35 0{TEXT 1 200 "\015(4.10)  We display the elapsed tim
e before and after the evaluation of a call to \"blockFloat\".  T
he difference is the number of seconds of computer time used by \
"blockFloat\" to do its calculations. \015"}}{INP_R 36 0 "> "
{TEXT 0 32 "time(); blockFloat(100); time();"}}{SEP_R 37 0}{COM_R
 38 0{TEXT 1 111 "\015(4.11)  We time \"blockFloat\" in a differe
nt way so that the third value displayed in the actual elapsed ti
me.\015"}}{INP_R 39 0 "> "{TEXT 0 49 "start := time(); blockFloat
(100); time() - start;"}}{SEP_R 40 0}{COM_R 41 0{TEXT 1 188 "\015
(4.12)  We follow the first two commands from (4.11) with colons \+
instead of semicolons to suppress the display of their results.  \+
Only the time required to run \"blockFloat\" is shown now.\015"}}
{INP_R 42 0 "> "{TEXT 0 49 "start := time(): blockFloat(100): tim
e() - start;"}}{SEP_R 43 0}{COM_R 44 0{TEXT 1 120 "\015(4.16)  We
 exploit a much better method for computing the sum of the first \+
trillion even terms of the harmonic series.\015"}}{INP_R 45 0 "> \+
"{TEXT 0 37 "evalf(1/2 * (Psi(1e12 + 1) + gamma));"}}{SEP_R 46 0}
{COM_R 47 0{TEXT 1 57 "\015(4.17)  The ! operator computes the fa
ctorial function.\015"}}{INP_R 48 0 "> "{TEXT 0 3 "5!;"}}{SEP_R 
49 0}{INP_R 50 0 "> "{TEXT 0 0 ""}}}{END}
